Bug 385071 - Unresolved dependency for elfutils-libelf-devel-0.131-1.i386 on x86_64
Unresolved dependency for elfutils-libelf-devel-0.131-1.i386 on x86_64
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2007-11-15 12:33 EST by Philip Spencer
Modified: 2014-03-16 23:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:48:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Philip Spencer 2007-11-15 12:33:43 EST
The recent release of elfutils 0.131-1 for x86_64 includes an i386 version of
elfutils-libelf-devel. This is not installable because it requires
elfutils-libelf-devel-static.i386, and this package is not provided.

Either elfutils-libelf-devel.i386 needs to be removed from the x86_64
distribution, or else elfutils-libelf-devel-static.i386 (and anything it
requires) needs to be added.
Comment 1 Philip Spencer 2007-11-15 12:37:04 EST
[Sorry, forgot to add that elfutils-devel is in the same situation as
elfutils-libelf-devel, requiring elfutils-devel-static.i386]
Comment 2 Roland McGrath 2007-11-15 17:32:38 EST
This seems to be a bug in the updates system or something like that.

The rpms were all built, but some were omitted from the push for biarch.  The
-static.x86_64 rpms are present in the x86_64 dir, and the -static.i386 rpms are
present in the i386 dir, but -static.i386 are missing from x86_64, which does
have -devel.i386.

Note that in F7 and later, elfutils-devel no longer requires
elfutils-devel-static and elfutils-libelf-devel no longer requires
Comment 3 Luke Macken 2007-11-15 18:43:59 EST
I added elfutils-devel-static and elfutils-libelf-devel-static to the FC-6
biarch list and requested a repush for elfutils-0.131-1.fc6.
Comment 4 Bug Zapper 2008-04-04 03:40:26 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:48:15 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.